monaco software

rapid application development

Probleme mit älteren PHP-Versionen.

Bekommen Sie folgende Fehlermeldung im Joomla!-Frontend angezeigt:

Warning: cannot yet handle MBCS in html_entity_decode()! in …/libraries/joomla/application/pathway.php on line 209

 

Dann ersetzen Sie die Original "/libraries/joomla/application/pathway.php" mit dieser modifizierten Datei.

Mod.-pathway.php-1.0.zip


function _makeItem($name, $link)
{
$item = new stdClass();
if((version_compare( phpversion(), '5.0' ) < 0)) {
$item->name = html_entity_decode($name);
} else {
$item->name = html_entity_decode($name, ENT_COMPAT, 'UTF-8');
}

$item->link = $link;
return $item;
}